mmilata pushed to satyr (el6). "New upstream version 0.18 (..more)"

notifications at fedoraproject.org notifications at fedoraproject.org
Wed Jun 10 09:14:14 UTC 2015


From 74ac273755ce1ea93c023b8a3684155a57086de9 Mon Sep 17 00:00:00 2001
From: Martin Milata <mmilata at redhat.com>
Date: Tue, 9 Jun 2015 22:02:07 +0200
Subject: New upstream version 0.18

Remove function fingerprinting
New kernel taint flags
Normalization tweaks
More secure core stacktraces from core hook

diff --git a/.gitignore b/.gitignore
index 99ae55a..33852fb 100644
--- a/.gitignore
+++ b/.gitignore
@@ -12,3 +12,4 @@
 /satyr-0.14.tar.xz
 /satyr-0.15.tar.xz
 /satyr-0.16.tar.xz
+/satyr-0.18.tar.xz
diff --git a/0001-dont-test-py3-bindings.patch b/0001-dont-test-py3-bindings.patch
new file mode 100644
index 0000000..5d940d0
--- /dev/null
+++ b/0001-dont-test-py3-bindings.patch
@@ -0,0 +1,627 @@
+diff -ru satyr-0.18/tests/Makefile.am satyr-0.18.dirty/tests/Makefile.am
+--- satyr-0.18/tests/Makefile.am	2015-05-28 14:46:56.000000000 +0200
++++ satyr-0.18.dirty/tests/Makefile.am	2015-06-10 10:45:59.000000000 +0200
+@@ -80,6 +80,12 @@
+ EXTRA_DIST += atlocal.in
+ EXTRA_DIST += java_testcases.c
+ 
++if WITH_PYTHON3
++TESTSUITEFLAGS =
++else
++TESTSUITEFLAGS = SKIP_PYTHON3=yes
++endif
++
+ atconfig: $(top_builddir)/config.status
+ 	(cd ${top_builddir} && ./config.status ${subdir}/atconfig)
+ 
+diff -ru satyr-0.18/tests/Makefile.in satyr-0.18.dirty/tests/Makefile.in
+--- satyr-0.18/tests/Makefile.in	2015-06-02 16:16:30.000000000 +0200
++++ satyr-0.18.dirty/tests/Makefile.in	2015-06-10 10:47:16.000000000 +0200
+@@ -302,6 +302,8 @@
+ MAINTAINERCLEANFILES = Makefile.in $(TESTSUITE)
+ check_DATA = atconfig atlocal $(TESTSUITE)
+ DISTCLEANFILES = atconfig
++ at WITH_PYTHON3_FALSE@TESTSUITEFLAGS = SKIP_PYTHON3=yes
++ at WITH_PYTHON3_TRUE@TESTSUITEFLAGS = 
+ AUTOTEST = $(AUTOM4TE) --language=autotest
+ all: all-am
+ 
+diff -ru satyr-0.18/tests/python_bindings.at satyr-0.18.dirty/tests/python_bindings.at
+--- satyr-0.18/tests/python_bindings.at	2015-05-28 14:46:56.000000000 +0200
++++ satyr-0.18.dirty/tests/python_bindings.at	2015-06-10 10:46:18.000000000 +0200
+@@ -2,7 +2,9 @@
+ [AT_SETUP([python2_bindings_for_$1])
+ AT_CHECK([python2 ../../python/$1.py -v], 0, [ignore], [ignore])
+ AT_CLEANUP
++
+ AT_SETUP([python3_bindings_for_$1])
++AT_CHECK([if test -n "$SKIP_PYTHON3"; then exit 77; fi])
+ AT_CHECK([python3 ../../python/$1.py -v], 0, [ignore], [ignore])
+ AT_CLEANUP
+ ])
+diff -ru satyr-0.18/tests/testsuite satyr-0.18.dirty/tests/testsuite
+--- satyr-0.18/tests/testsuite	2015-06-02 16:19:26.000000000 +0200
++++ satyr-0.18.dirty/tests/testsuite	2015-06-10 10:47:24.000000000 +0200
+@@ -724,24 +724,24 @@
+ 132;report.at:9;sr_report_type_to_string;;
+ 133;report.at:37;sr_report_type_from_string;;
+ 134;report.at:65;sr_report_add_auth;;
+-135;python_bindings.at:13;python2_bindings_for_misc;;
+-136;python_bindings.at:13;python3_bindings_for_misc;;
+-137;python_bindings.at:14;python2_bindings_for_gdb;;
+-138;python_bindings.at:14;python3_bindings_for_gdb;;
+-139;python_bindings.at:15;python2_bindings_for_koops;;
+-140;python_bindings.at:15;python3_bindings_for_koops;;
+-141;python_bindings.at:16;python2_bindings_for_python;;
+-142;python_bindings.at:16;python3_bindings_for_python;;
+-143;python_bindings.at:17;python2_bindings_for_java;;
+-144;python_bindings.at:17;python3_bindings_for_java;;
+-145;python_bindings.at:18;python2_bindings_for_core;;
+-146;python_bindings.at:18;python3_bindings_for_core;;
+-147;python_bindings.at:19;python2_bindings_for_ruby;;
+-148;python_bindings.at:19;python3_bindings_for_ruby;;
+-149;python_bindings.at:20;python2_bindings_for_metrics;;
+-150;python_bindings.at:20;python3_bindings_for_metrics;;
+-151;python_bindings.at:21;python2_bindings_for_report;;
+-152;python_bindings.at:21;python3_bindings_for_report;;
++135;python_bindings.at:15;python2_bindings_for_misc;;
++136;python_bindings.at:15;python3_bindings_for_misc;;
++137;python_bindings.at:16;python2_bindings_for_gdb;;
++138;python_bindings.at:16;python3_bindings_for_gdb;;
++139;python_bindings.at:17;python2_bindings_for_koops;;
++140;python_bindings.at:17;python3_bindings_for_koops;;
++141;python_bindings.at:18;python2_bindings_for_python;;
++142;python_bindings.at:18;python3_bindings_for_python;;
++143;python_bindings.at:19;python2_bindings_for_java;;
++144;python_bindings.at:19;python3_bindings_for_java;;
++145;python_bindings.at:20;python2_bindings_for_core;;
++146;python_bindings.at:20;python3_bindings_for_core;;
++147;python_bindings.at:21;python2_bindings_for_ruby;;
++148;python_bindings.at:21;python3_bindings_for_ruby;;
++149;python_bindings.at:22;python2_bindings_for_metrics;;
++150;python_bindings.at:22;python3_bindings_for_metrics;;
++151;python_bindings.at:23;python2_bindings_for_report;;
++152;python_bindings.at:23;python3_bindings_for_report;;
+ "
+ # List of the all the test groups.
+ at_groups_all=`$as_echo "$at_help_all" | sed 's/;.*//'`
+@@ -1180,7 +1180,7 @@
+ # Banner 23. report.at:3
+ # Category starts at test group 132.
+ at_banner_text_23="Report"
+-# Banner 24. python_bindings.at:11
++# Banner 24. python_bindings.at:13
+ # Category starts at test group 135.
+ at_banner_text_24="BINDINGS"
+ 
+@@ -15053,7 +15053,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_134
+ #AT_START_135
+-at_fn_group_banner 135 'python_bindings.at:13' \
++at_fn_group_banner 135 'python_bindings.at:15' \
+   "python2_bindings_for_misc" "                      " 24
+ at_xfail=no
+ (
+@@ -15061,15 +15061,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:13: python2 ../../python/misc.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:13"
++$as_echo "$at_srcdir/python_bindings.at:15: python2 ../../python/misc.py -v"
++at_fn_check_prepare_trace "python_bindings.at:15"
+ ( $at_check_trace; python2 ../../python/misc.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:13"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:15"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15079,23 +15079,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_135
+ #AT_START_136
+-at_fn_group_banner 136 'python_bindings.at:13' \
++at_fn_group_banner 136 'python_bindings.at:15' \
+   "python3_bindings_for_misc" "                      " 24
+ at_xfail=no
+ (
+   $as_echo "136. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:15" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:15"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:13: python3 ../../python/misc.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:13"
++$as_echo "$at_srcdir/python_bindings.at:15: python3 ../../python/misc.py -v"
++at_fn_check_prepare_trace "python_bindings.at:15"
+ ( $at_check_trace; python3 ../../python/misc.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:13"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:15"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15105,7 +15108,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_136
+ #AT_START_137
+-at_fn_group_banner 137 'python_bindings.at:14' \
++at_fn_group_banner 137 'python_bindings.at:16' \
+   "python2_bindings_for_gdb" "                       " 24
+ at_xfail=no
+ (
+@@ -15113,15 +15116,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:14: python2 ../../python/gdb.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:14"
++$as_echo "$at_srcdir/python_bindings.at:16: python2 ../../python/gdb.py -v"
++at_fn_check_prepare_trace "python_bindings.at:16"
+ ( $at_check_trace; python2 ../../python/gdb.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:14"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:16"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15131,23 +15134,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_137
+ #AT_START_138
+-at_fn_group_banner 138 'python_bindings.at:14' \
++at_fn_group_banner 138 'python_bindings.at:16' \
+   "python3_bindings_for_gdb" "                       " 24
+ at_xfail=no
+ (
+   $as_echo "138. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:16" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:16"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:14: python3 ../../python/gdb.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:14"
++$as_echo "$at_srcdir/python_bindings.at:16: python3 ../../python/gdb.py -v"
++at_fn_check_prepare_trace "python_bindings.at:16"
+ ( $at_check_trace; python3 ../../python/gdb.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:14"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:16"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15157,7 +15163,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_138
+ #AT_START_139
+-at_fn_group_banner 139 'python_bindings.at:15' \
++at_fn_group_banner 139 'python_bindings.at:17' \
+   "python2_bindings_for_koops" "                     " 24
+ at_xfail=no
+ (
+@@ -15165,15 +15171,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:15: python2 ../../python/koops.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:15"
++$as_echo "$at_srcdir/python_bindings.at:17: python2 ../../python/koops.py -v"
++at_fn_check_prepare_trace "python_bindings.at:17"
+ ( $at_check_trace; python2 ../../python/koops.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:15"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:17"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15183,23 +15189,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_139
+ #AT_START_140
+-at_fn_group_banner 140 'python_bindings.at:15' \
++at_fn_group_banner 140 'python_bindings.at:17' \
+   "python3_bindings_for_koops" "                     " 24
+ at_xfail=no
+ (
+   $as_echo "140. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:17" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:17"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:15: python3 ../../python/koops.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:15"
++$as_echo "$at_srcdir/python_bindings.at:17: python3 ../../python/koops.py -v"
++at_fn_check_prepare_trace "python_bindings.at:17"
+ ( $at_check_trace; python3 ../../python/koops.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:15"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:17"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15209,7 +15218,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_140
+ #AT_START_141
+-at_fn_group_banner 141 'python_bindings.at:16' \
++at_fn_group_banner 141 'python_bindings.at:18' \
+   "python2_bindings_for_python" "                    " 24
+ at_xfail=no
+ (
+@@ -15217,15 +15226,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:16: python2 ../../python/python.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:16"
++$as_echo "$at_srcdir/python_bindings.at:18: python2 ../../python/python.py -v"
++at_fn_check_prepare_trace "python_bindings.at:18"
+ ( $at_check_trace; python2 ../../python/python.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:16"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:18"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15235,23 +15244,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_141
+ #AT_START_142
+-at_fn_group_banner 142 'python_bindings.at:16' \
++at_fn_group_banner 142 'python_bindings.at:18' \
+   "python3_bindings_for_python" "                    " 24
+ at_xfail=no
+ (
+   $as_echo "142. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:18" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:18"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:16: python3 ../../python/python.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:16"
++$as_echo "$at_srcdir/python_bindings.at:18: python3 ../../python/python.py -v"
++at_fn_check_prepare_trace "python_bindings.at:18"
+ ( $at_check_trace; python3 ../../python/python.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:16"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:18"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15261,7 +15273,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_142
+ #AT_START_143
+-at_fn_group_banner 143 'python_bindings.at:17' \
++at_fn_group_banner 143 'python_bindings.at:19' \
+   "python2_bindings_for_java" "                      " 24
+ at_xfail=no
+ (
+@@ -15269,15 +15281,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:17: python2 ../../python/java.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:17"
++$as_echo "$at_srcdir/python_bindings.at:19: python2 ../../python/java.py -v"
++at_fn_check_prepare_trace "python_bindings.at:19"
+ ( $at_check_trace; python2 ../../python/java.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:17"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:19"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15287,23 +15299,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_143
+ #AT_START_144
+-at_fn_group_banner 144 'python_bindings.at:17' \
++at_fn_group_banner 144 'python_bindings.at:19' \
+   "python3_bindings_for_java" "                      " 24
+ at_xfail=no
+ (
+   $as_echo "144. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:19" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:19"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:17: python3 ../../python/java.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:17"
++$as_echo "$at_srcdir/python_bindings.at:19: python3 ../../python/java.py -v"
++at_fn_check_prepare_trace "python_bindings.at:19"
+ ( $at_check_trace; python3 ../../python/java.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:17"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:19"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15313,7 +15328,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_144
+ #AT_START_145
+-at_fn_group_banner 145 'python_bindings.at:18' \
++at_fn_group_banner 145 'python_bindings.at:20' \
+   "python2_bindings_for_core" "                      " 24
+ at_xfail=no
+ (
+@@ -15321,15 +15336,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:18: python2 ../../python/core.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:18"
++$as_echo "$at_srcdir/python_bindings.at:20: python2 ../../python/core.py -v"
++at_fn_check_prepare_trace "python_bindings.at:20"
+ ( $at_check_trace; python2 ../../python/core.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:18"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:20"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15339,23 +15354,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_145
+ #AT_START_146
+-at_fn_group_banner 146 'python_bindings.at:18' \
++at_fn_group_banner 146 'python_bindings.at:20' \
+   "python3_bindings_for_core" "                      " 24
+ at_xfail=no
+ (
+   $as_echo "146. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:20" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:20"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:18: python3 ../../python/core.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:18"
++$as_echo "$at_srcdir/python_bindings.at:20: python3 ../../python/core.py -v"
++at_fn_check_prepare_trace "python_bindings.at:20"
+ ( $at_check_trace; python3 ../../python/core.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:18"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:20"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15365,7 +15383,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_146
+ #AT_START_147
+-at_fn_group_banner 147 'python_bindings.at:19' \
++at_fn_group_banner 147 'python_bindings.at:21' \
+   "python2_bindings_for_ruby" "                      " 24
+ at_xfail=no
+ (
+@@ -15373,15 +15391,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:19: python2 ../../python/ruby.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:19"
++$as_echo "$at_srcdir/python_bindings.at:21: python2 ../../python/ruby.py -v"
++at_fn_check_prepare_trace "python_bindings.at:21"
+ ( $at_check_trace; python2 ../../python/ruby.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:19"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:21"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15391,23 +15409,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_147
+ #AT_START_148
+-at_fn_group_banner 148 'python_bindings.at:19' \
++at_fn_group_banner 148 'python_bindings.at:21' \
+   "python3_bindings_for_ruby" "                      " 24
+ at_xfail=no
+ (
+   $as_echo "148. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:21" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:21"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:19: python3 ../../python/ruby.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:19"
++$as_echo "$at_srcdir/python_bindings.at:21: python3 ../../python/ruby.py -v"
++at_fn_check_prepare_trace "python_bindings.at:21"
+ ( $at_check_trace; python3 ../../python/ruby.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:19"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:21"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15417,7 +15438,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_148
+ #AT_START_149
+-at_fn_group_banner 149 'python_bindings.at:20' \
++at_fn_group_banner 149 'python_bindings.at:22' \
+   "python2_bindings_for_metrics" "                   " 24
+ at_xfail=no
+ (
+@@ -15425,15 +15446,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:20: python2 ../../python/metrics.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:20"
++$as_echo "$at_srcdir/python_bindings.at:22: python2 ../../python/metrics.py -v"
++at_fn_check_prepare_trace "python_bindings.at:22"
+ ( $at_check_trace; python2 ../../python/metrics.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:20"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:22"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15443,23 +15464,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_149
+ #AT_START_150
+-at_fn_group_banner 150 'python_bindings.at:20' \
++at_fn_group_banner 150 'python_bindings.at:22' \
+   "python3_bindings_for_metrics" "                   " 24
+ at_xfail=no
+ (
+   $as_echo "150. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:22" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:22"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:20: python3 ../../python/metrics.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:20"
++$as_echo "$at_srcdir/python_bindings.at:22: python3 ../../python/metrics.py -v"
++at_fn_check_prepare_trace "python_bindings.at:22"
+ ( $at_check_trace; python3 ../../python/metrics.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:20"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:22"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15469,7 +15493,7 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_150
+ #AT_START_151
+-at_fn_group_banner 151 'python_bindings.at:21' \
++at_fn_group_banner 151 'python_bindings.at:23' \
+   "python2_bindings_for_report" "                    " 24
+ at_xfail=no
+ (
+@@ -15477,15 +15501,15 @@
+   $at_traceon
+ 
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:21: python2 ../../python/report.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:21"
++$as_echo "$at_srcdir/python_bindings.at:23: python2 ../../python/report.py -v"
++at_fn_check_prepare_trace "python_bindings.at:23"
+ ( $at_check_trace; python2 ../../python/report.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:21"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:23"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
+@@ -15495,23 +15519,26 @@
+ read at_status <"$at_status_file"
+ #AT_STOP_151
+ #AT_START_152
+-at_fn_group_banner 152 'python_bindings.at:21' \
++at_fn_group_banner 152 'python_bindings.at:23' \
+   "python3_bindings_for_report" "                    " 24
+ at_xfail=no
+ (
+   $as_echo "152. $at_setup_line: testing $at_desc ..."
+   $at_traceon
+ 
++$as_echo "python_bindings.at:23" >"$at_check_line_file"
++(test -n "$SKIP_PYTHON3") \
++  && at_fn_check_skip 77 "$at_srcdir/python_bindings.at:23"
+ { set +x
+-$as_echo "$at_srcdir/python_bindings.at:21: python3 ../../python/report.py -v"
+-at_fn_check_prepare_trace "python_bindings.at:21"
++$as_echo "$at_srcdir/python_bindings.at:23: python3 ../../python/report.py -v"
++at_fn_check_prepare_trace "python_bindings.at:23"
+ ( $at_check_trace; python3 ../../python/report.py -v
+ ) >>"$at_stdout" 2>>"$at_stderr" 5>&-
+ at_status=$? at_failed=false
+ $at_check_filter
+ echo stderr:; cat "$at_stderr"
+ echo stdout:; cat "$at_stdout"
+-at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:21"
++at_fn_check_status 0 $at_status "$at_srcdir/python_bindings.at:23"
+ $at_failed && at_fn_log_failure
+ $at_traceon; }
+ 
diff --git a/satyr.spec b/satyr.spec
index 6c1d38b..5986af6 100644
--- a/satyr.spec
+++ b/satyr.spec
@@ -18,7 +18,7 @@
 %endif
 
 Name: satyr
-Version: 0.16
+Version: 0.18
 Release: 1%{?dist}
 Summary: Tools to create anonymous, machine-friendly problem reports
 Group: System Environment/Libraries
@@ -38,7 +38,7 @@ BuildRequires: gcc-c++
 BuildRequires: python-sphinx
 %endif
 
-Patch1: test-fail-gcc5-x86_64.patch
+Patch1: 0001-dont-test-py3-bindings.patch
 
 %description
 Satyr is a library that can be used to create and process microreports.
@@ -74,6 +74,7 @@ Python bindings for %{name}.
 %if ! %{?enable_python_manpage}
         --disable-python-manpage \
 %endif
+        --without-python3 \
         --disable-static
 
 make %{?_smp_mflags}
@@ -115,6 +116,20 @@ make check || {
 %endif
 
 %changelog
+* Tue Jun 09 2015 Martin Milata <mmilata at redhat.com> - 0.18-1
+- New upstream version
+  - Remove function fingerprinting
+  - New kernel taint flags
+  - Normalization tweaks
+  - More secure core stacktraces from core hook
+
+* Sat May 02 2015 Kalev Lember <kalevlember at gmail.com> - 0.16-3
+- Rebuilt for GCC 5 C++11 ABI change
+
+* Sat Feb 21 2015 Till Maas <opensource at till.name> - 0.16-2
+- Rebuilt for Fedora 23 Change
+  https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code
+
 * Fri Feb 20 2015 Martin Milata <mmilata at redhat.com> 0.16-1
 - New upstream version
   - Add support for unwinding from core dump hook
diff --git a/sources b/sources
index 19fb309..888abde 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-cf8783759f9e209835afca9085e2bd1b  satyr-0.16.tar.xz
+7a5b1538385dd31e146de771d5c894ae  satyr-0.18.tar.xz
diff --git a/test-fail-gcc5-x86_64.patch b/test-fail-gcc5-x86_64.patch
deleted file mode 100644
index 1adf8bd..0000000
--- a/test-fail-gcc5-x86_64.patch
+++ /dev/null
@@ -1,104 +0,0 @@
-diff -ur satyr-0.16/tests/ruby_stacktrace.at satyr-0.16.1.gd339.dirty/tests/ruby_stacktrace.at
---- satyr-0.16/tests/ruby_stacktrace.at	2015-02-18 14:04:56.000000000 +0100
-+++ satyr-0.16.1.gd339.dirty/tests/ruby_stacktrace.at	2015-02-20 14:47:11.000000000 +0100
-@@ -261,6 +261,7 @@
- 
- AT_TESTFUN([sr_ruby_stacktrace_from_json],
- [[
-+#include "stacktrace.h"
- #include "ruby/stacktrace.h"
- #include "ruby/frame.h"
- #include "utils.h"
-@@ -268,13 +269,14 @@
- #include <assert.h>
- #include <stdlib.h>
- #include <stdio.h>
-+#include <string.h>
- 
- void
- check(char *filename)
- {
-   char *error_message = NULL;
--  const char *file_contents = sr_file_to_string(filename, &error_message);
--  const char *input = file_contents;
-+  char *file_contents = sr_file_to_string(filename, &error_message);
-+  char *input = file_contents;
-   struct sr_location location;
-   sr_location_init(&location);
- 
-diff -ur satyr-0.16/tests/testsuite satyr-0.16.1.gd339.dirty/tests/testsuite
---- satyr-0.16/tests/testsuite	2015-02-19 12:23:19.000000000 +0100
-+++ satyr-0.16.1.gd339.dirty/tests/testsuite	2015-02-20 14:48:52.000000000 +0100
-@@ -1041,7 +1041,7 @@
- # List of tests.
- if $at_list_p; then
-   cat <<_ATEOF || at_write_fail=1
--satyr 0.16 test suite test groups:
-+satyr 0.16.1.gd339.dirty test suite test groups:
- 
-  NUM: FILE-NAME:LINE     TEST-GROUP-NAME
-       KEYWORDS
-@@ -1082,7 +1082,7 @@
-   exit $at_write_fail
- fi
- if $at_version_p; then
--  $as_echo "$as_me (satyr 0.16)" &&
-+  $as_echo "$as_me (satyr 0.16.1.gd339.dirty)" &&
-   cat <<\_ATEOF || at_write_fail=1
- 
- Copyright (C) 2012 Free Software Foundation, Inc.
-@@ -1330,13 +1330,13 @@
- exec 5>>"$at_suite_log"
- 
- # Banners and logs.
--$as_echo "## ---------------------- ##
--## satyr 0.16 test suite. ##
--## ---------------------- ##"
--{
--  $as_echo "## ---------------------- ##
--## satyr 0.16 test suite. ##
--## ---------------------- ##"
-+$as_echo "## ------------------------------------ ##
-+## satyr 0.16.1.gd339.dirty test suite. ##
-+## ------------------------------------ ##"
-+{
-+  $as_echo "## ------------------------------------ ##
-+## satyr 0.16.1.gd339.dirty test suite. ##
-+## ------------------------------------ ##"
-   echo
- 
-   $as_echo "$as_me: command line was:"
-@@ -2179,7 +2179,7 @@
-   $as_echo "Please send $at_msg and all information you think might help:
- 
-    To: <crash-catcher at fedorahosted.org>
--   Subject: [satyr 0.16] $as_me: $at_fail_list${at_fail_list:+ failed${at_xpass_list:+, }}$at_xpass_list${at_xpass_list:+ passed unexpectedly}
-+   Subject: [satyr 0.16.1.gd339.dirty] $as_me: $at_fail_list${at_fail_list:+ failed${at_xpass_list:+, }}$at_xpass_list${at_xpass_list:+ passed unexpectedly}
- 
- You may investigate any problem if you feel able to do so, in which
- case the test suite provides a good starting point.  Its output may
-@@ -10995,6 +10995,7 @@
- 
- cat >sr_ruby_stacktrace_from_json.c <<'_ATEOF'
- 
-+#include "stacktrace.h"
- #include "ruby/stacktrace.h"
- #include "ruby/frame.h"
- #include "utils.h"
-@@ -11002,13 +11003,14 @@
- #include <assert.h>
- #include <stdlib.h>
- #include <stdio.h>
-+#include <string.h>
- 
- void
- check(char *filename)
- {
-   char *error_message = NULL;
--  const char *file_contents = sr_file_to_string(filename, &error_message);
--  const char *input = file_contents;
-+  char *file_contents = sr_file_to_string(filename, &error_message);
-+  char *input = file_contents;
-   struct sr_location location;
-   sr_location_init(&location);
- 
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/satyr.git/commit/?h=el6&id=74ac273755ce1ea93c023b8a3684155a57086de9


More information about the scm-commits mailing list